# ShipperHQ and WebShopApps ProductRate

A Shipping Rate module for Magento 2.x which gives you the ability to set your shipping rates on a product-by-product basis.

Facts
-----
- [extension on GitHub](https://github.com/webshopapps/module-productrate)
- Magento v1.0 available for download from www.webshopapps.com

Description
-----------
The ProductRate shipping extension is the original solution for Magento that enables you to offer product specific shipping rates to customers. Enter shipping rates for each of your products in the admin panel and Product Rate will calculate the total shipping charge when your customers go to checkout.

This extension also gives you control of how shipping is calculated on multiple items. For example, you can add a flat or percentage surcharge on the shipping fee when there is more than one of the same product in the cart.

Compatibility
-------------
- Magento >= 2.0

This library aims to support and is tested against the following PHP
implementations:

* PHP 5.5
* PHP 5.6
* PHP 5.7
enforced in the composer.json

Installation Instructions
-------------------------
Install using composer by adding to your composer file using commands:

1. composer require webshopapps/module-productrate
2. composer update
3. bin/magento setup:upgrade

Support
-------
For further information on using ProductRate, please refer to our [online documentation](http://support.webshopapps.com/productrate/).
If you have any issues with this extension, open an issue on [GitHub](https://github.com/webshopapps/module-productrate/issues).


Credits
---------
The composer structure is taken from various sources, most heavily using structure from https://github.com/sjparkinson/static-review.

Assistance around composer, Magento2 structure, etc was also taken from these sources:

* [https://github.com/Genmato/MultiStoreSearchFields](http://)
* [https://alankent.wordpress.com/2014/08/03/creating-a-magento-2-composer-module/](http://)
* [https://github.com/SchumacherFM/mage2-advanced-rest-permissions](http://)

Support
-------
If you have any issues with this extension, open an issue on [GitHub](https://github.com/webshopapps/module-productrate/issues).
Alternatively you can contact us via email at support@webshopapps.com or via our website http://webshopapps.com/contacts/

Contribution
------------
Any contribution is highly appreciated. The best way to contribute code is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests).

License
-------
Copyright (c) 2015 Zowta LLC & Zowta Ltd. See [LICENSE][] for
details.

We also dutifully respect the [Magento][] OSL license, which is included in this codebase.


[license]: LICENSE.md
[magento]: Magento2_LICENSE.md

Copyright
---------
Copyright (c) 2015 Zowta LLC & Zowta Ltd.


